body {
    /* Remove qualquer margem do elemento */
    margin: 0;
    /* background-color modifica a cor de fundo do elemento */
    background-color: #fff;
    /* color modifica a cor da fonte do elemento */
    color: #333;
    /* font-family muda a fonte que será usada. Caso não encontre a primeira, tenta a próxima */
    font-family: Arial, Helvetica, sans-serif;
}

/* --- HEADER --- */

header {
    text-align: center;
    color: #fff;
    /* padding gera um preenchimento/espaçamento dentro do elemento */
    padding: 50px 0;
    /* border modifica a borda do elemento (ordem: largura, estilo e cor) */
    /* px é uma unidade de medida que mede exatamente 1 pixel */
    border-bottom: 1px solid #333;
}

header h1, header p {
    margin: 0;
    /* a unidade de medida rem é relativa ao tamanho da fonte herdado */
    margin-top: 1rem;
    margin-bottom: 0.5rem;
    /* para modificiar os parâmetros de text-shadow, recomenda-se abrir o console do navegador */
    text-shadow: 1px 1px #333;
}

#header-sobre {
    background-image: linear-gradient(to bottom right, #36d1dc, #5b86e5);
}

#minha-foto {
    max-width: 150px;
    /* border-radius torna o elemento arredondado nos cantos */
    border-radius: 50%;
    box-shadow: 3px 3px 5px #333;
}

.container {
    max-width: 500px;
    /* Uma margem automática na largura centraliza o elemento */
    margin: 0 auto;
}
